/**
 * Created by ivan on 09.03.2015.
 */

function moveToAnchor(anc){
    var obj=jQuery("a[name = " + anc + "]").eq(0);
    var pos=obj.offset().top-110;
    jQuery("body,html").animate({scrollTop:pos},800);
    return false;
}

function timer(){
    var obj=document.getElementById('timer_inp');
    obj.innerHTML--;
    if (obj.innerHTML==0){
        $('.hidden_d').html('<iframe src="' + aa_downUrl + '" style="display:none"></iframe>			');
        $('#timer_pre').html('началось. Если материал не скачался, перезагрузите страницу');
        $('#timer_post').html('');
        $('#timer_inp').html('');
        setTimeout(function(){},1000);
    }
    else {
        setTimeout(timer,1000);
    }
}

function aa_openolimp(){
    jQuery("#aa-openolimp").hide();
    jQuery("#aa-olimp").slideDown("slow");
    aa_iframeSetHeight();
    setTimeout(timer,1000);
}

function aa_opencert(){
    jQuery("#aa-opencert").hide();
    jQuery("#aa-cert").slideDown("slow");
}


function aa_openDesc(){

    var el = $('#aa-docdesc'),
        curHeight = el.height(),
        autoHeight = el.css('height', 'auto').height();
    if(autoHeight>curHeight) el.height(curHeight).animate({height: autoHeight + 40}, 800);
    else el.height(curHeight);
    $('#aa-docdesc .a-non').hide();
}

function aa_filterDoc(obj){
    var oldType, newType=jQuery(".a-sort-1 a.aa-filter-bg").eq(0);
    var oldClass, newClass=jQuery(".a-sort-2 a.aa-filter-bk").eq(0);
    var currEl=jQuery(obj);
    if(currEl.attr("aa-type"))newType=currEl;
    else if(currEl.attr("aa-class"))newClass=currEl;
    if(oldType==newType && oldClass==newClass) return false;

    jQuery(".a-sort-1 a").removeClass("aa-filter-bg");
    jQuery(".a-sort-2 a").removeClass("aa-filter-bk");

    newType.addClass("aa-filter-bg");
    newClass.addClass("aa-filter-bk");

    jQuery.fn.yiiListView.update(
        'ajaxListView',
        {data: {type: newType.attr("aa-type"), class: newClass.attr("aa-class")}}
    );
    return false;
}

var timeoutID = null;
var aa_loaded=[];
var aa_count=[];
var inSiteUrl = "";
var iframeUrl = "";
var partTitle = "";
var partUrl = "";
var loaderUrl = "";
var aa_speed=800;
var aa_scroll=false;
var olp_is_new=false;

function aa_checkLoaded(subPath){
    if(aa_count[subPath]!=aa_loaded[subPath])
        return;

    jQuery("#slideshow-" + subPath + " .slide").first().remove();
    jQuery("#slideshow-" + subPath + " .slide").first().addClass("show");
}

function aa_preloadSlides(subPath){
    aa_loaded[subPath]=0;
    jQuery("#slideshow-" + subPath + " .slide_image").each(function(i){
        if(!i){
            return true;
        }

        var image = new Image();
        image.aaDataSrc=this;
        image.onload=function(e){
            jQuery(this.aaDataSrc).attr("src",this.src);
            aa_loaded[subPath]++;
            aa_checkLoaded(subPath);
        };
        image.onerror = function(e){
            jQuery(this.aaDataSrc).attr("src",loaderUrl);
            aa_loaded[subPath]++;
            aa_checkLoaded(subPath);
        };
        image.onabort = function(e){
            jQuery(this.aaDataSrc).attr("src",loaderUrl);
            aa_loaded[subPath]++;
            aa_checkLoaded(subPath);
        };
        image.src = this.src;
    });
}

function aa_changeSlide(current,next,subPath){
    next.addClass('show');
    current.removeClass('show');
    jQuery("#slideshow-slide-" + subPath + "").text(jQuery("#slideshow-" + subPath + " .slide").index(next)+1);
}

function aa_nextSlide(subPath){
    var current = jQuery("#slideshow-" + subPath + " .slide.show");
    var next = current.next(".slide");
    if(!next.length)next=jQuery("#slideshow-" + subPath + " .slide").first();
    aa_changeSlide(current,next,subPath);
    return false;
}

function aa_prevSlide(subPath){
    var current = jQuery("#slideshow-" + subPath + " .slide.show");
    var next = current.prev(".slide");
    if(!next.length)next=jQuery("#slideshow-" + subPath + " .slide").last();
    aa_changeSlide(current,next,subPath);
    return false;
}

function aa_firstSlide(subPath){
    var current = jQuery("#slideshow-" + subPath + " .slide.show");
    var next = jQuery("#slideshow-" + subPath + " .slide").first();
    if(jQuery("#slideshow-" + subPath + " .slide").index(current)==jQuery("#slideshow-" + subPath + " .slide").index(next))return false;
    aa_changeSlide(current,next,subPath);
    return false;
}

function aa_lastSlide(subPath){
    var current = jQuery("#slideshow-" + subPath + " .slide.show");
    var next = jQuery("#slideshow-" + subPath + " .slide").last();
    if(jQuery("#slideshow-" + subPath + " .slide").index(current)==jQuery("#slideshow-" + subPath + " .slide").index(next))return false;
    aa_changeSlide(current,next,subPath);
    return false;
}

function aa_closeDlg(){
    jQuery("#aa-modal-get-code").hide();
    jQuery("#aa-modal-background").hide();
    return false;
}

function aa_getCodeDlg(){
    jQuery("#aa-modal-background").show();
    jQuery("#aa-modal-get-code").show();

    var embed_template = '<div style="width:100%"> <strong style="display:block;margin:12px 0 4px"><a href="{inSiteUrl}" title="Презентация" target="_blank">Презентация</a></strong><iframe src="{iframeUrl}" width="546" height="410" frameborder="0" marginwidth="0" marginheight="0" scrolling="no" style="border-width:1px 1px 0" allowfullscreen></iframe><div style="padding:0">Смотреть еще презентации из раздела <a href="{partUrl}" target="_blank">{partTitle}</a> </div> </div>';
    var src = embed_template;
    src = src.replace(/\{inSiteUrl\}/gi, inSiteUrl);
    src = src.replace(/\{iframeUrl\}/gi, iframeUrl);
    src = src.replace(/\{partTitle\}/gi, partTitle);
    src = src.replace(/\{partUrl\}/gi, partUrl);
    jQuery('#aa-modal-embed-input').val(src);
    jQuery('#aa-modal-embed-input').select();
    return false;
}

function aa_scrollTop(subPath){
    var obj=jQuery("#aa-scroll-" + subPath);
    var scroll=obj.scrollTop();
    var height = obj.height();
    if(obj.is(':animated')){
        aa_speed/=2;
        height*=4;
    }
    else aa_speed=800;
    obj.stop().animate({scrollTop: scroll-height }, aa_speed);
    return false;
}

function aa_scrollBottom(subPath){
    var obj=jQuery("#aa-scroll-" + subPath );
    var scroll=obj.scrollTop();
    var height = obj.height();
    if(obj.is(':animated')){
        aa_speed/=2;
        height*=4;
    }
    else aa_speed=800;
    obj.stop().animate({scrollTop: scroll+height }, aa_speed);
    return false;
}


/* Try download */
function jc_try_download(group) {
    if (getCookie('jc_download') == 'yes') {
        jc_proceed(group);
    } else {
        document.getElementById('jc_download_preview').style.display='none';
        document.getElementById('jc_download').style.display='block';
        $('html, body').animate({scrollTop: $('#jc_download').offset().top}, 800);
    }
}
function jc_download(group) {
    if (jc_check()) {
        jc_proceed(group);
    } else {
        jc_show_errors();
    }
}
function jc_proceed(group) {
    /* Reset the group, take from php by default */
    var group = group;
    if ($('input[name="group"]:checked').val() == 'parent')
        group = 'roditeli';
    else if ($('input[name="group"]:checked').val() == 'student')
        group = 'ucheniki';

    /* Generating link for subscription
     email = Input data
     group = The category
     */
    var href = 'http://proteacher.ru/jc/jc.php?email=' +
        $('#jc_download').find('input[name="email"]').val() +
        '&group=' + group + '&part=139802';

    /* Sending request with the href variable to subscribe the user */
    $('#jc_download').append(
        '<iframe id="js_download_frame" style="display:none" src="'+href+'"></iframe>'
    );

    /* Either open download window or show frame with download src*/
    $('#jc_download').append(
        '<iframe id="js_download_file" style="display:none" src="'+$('#jc_download_submit').attr('meta-href')+'"></iframe>'
    );
    $('#jc_download').find('#pre_download').hide();
    $('#jc_download').find('#post_download').show();

    /* Set cookie */
    var d = new Date();
    d.setTime(d.getTime() + (365*24*60*60*1000));
    var expires = "expires="+d.toUTCString();
    document.cookie = 'jc_download' + "=" + 'yes' + "; " + expires + "; path=/";
}
function jc_activate_download() {
    $('#jc_download_submit').addClass('active');
}
function jc_deactivate_download() {
    $('#jc_download_submit').removeClass('active');
}
function jc_set_errors(err) {
    $('#jc_download').find('#errors').html(err);
}
function jc_show_errors() {
    $('#jc_download').find('#errors').show();
}
function jc_clear_errors() {
    $('#jc_download').find('#errors').html('');
    $('#jc_download').find('#errors').hide();
}
function jc_check() {
    var err_status       = false;
    var err_text		  = '';
    if (!isValidEmailAddress($('#jc_download').find('input[name="email"]').val())) {
        err_status = true;
        err_text += 'Введите корректный емэйл.';
    }
    if ($('input[name="group"]:checked').length == 0) {
        err_status = true;
        if (err_text != '') err_text += '<br>';
        err_text += 'Укажите, кем вы являетесь.';
    }
    if (err_status) {
        jc_set_errors(err_text);
        jc_deactivate_download();
        return false;
    } else {
        jc_clear_errors();
        jc_activate_download();
        return true;
    }
}
function isValidEmailAddress(emailAddress) {
    var pattern = new RegExp(/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i);
    return pattern.test(emailAddress);
};
function getCookie(cname) {
    var name = cname + "=";
    var ca = document.cookie.split(';');
    for(var i=0; i<ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0)==' ') c = c.substring(1);
        if (c.indexOf(name) != -1) return c.substring(name.length,c.length);
    }
    return "";
}

var aa_isIframeBanner=false;
var aa_isIframeBanner2=false;
function aa_iframeSetHeight(){
    if(aa_isIframeBanner) $("#aa-iframe-banner").height($("#aa-iframe-banner").width()*340/690);
    if(aa_isIframeBanner2) $("#aa-iframe-banner-2").height($("#aa-iframe-banner-2").width()*340/690);
}

$(function() {
    $(window).scroll(function() {
        if($(this).scrollTop() != 0) {
            $('#toTop').fadeIn();
        } else {
            $('#toTop').fadeOut();
        }
    });
    $('#toTop').click(function() {
        $('body,html').animate({scrollTop:0},800);
    });
    if($("#aa-iframe-banner").length)aa_isIframeBanner=true;
    if($("#aa-iframe-banner-2").length)aa_isIframeBanner2=true;
    aa_iframeSetHeight();
    $(window).resize(aa_iframeSetHeight);
    $("#aa-modal-dlg").click(function(event){
        event.stopPropagation();
    });

    var touch 	= $('#touch-menu');
    var menu 	= $('.menu');

    $(touch).on('click', function(e) {
        e.preventDefault();
        menu.slideToggle();
    });

    $(window).resize(function(){
        var w = $(window).width();
        if(w > 767 && menu.is(':hidden')) {
            menu.removeAttr('style');
        }
    });

});

function aa_check_msg(time){
    var dlg=0;
    if(typeof(aa_check_dlg)!="undefined")dlg=aa_check_dlg;

    setTimeout(function(){
        aa_form_send(null, '/ajax/checkMsg',{id:dlg});
    }, time);
}

var aa_popup_interval=null;
var aa_confirm_callback=null;

function aa_popup_stop(){
    clearInterval(aa_popup_interval);
    aa_popup_interval=null;
}

function aa_popup_start(){
    aa_popup_interval=setTimeout(function(){aa_popup_hide(1500);}, 3000);
}

function aa_popup_hide(){
    var dur=300;
    if(arguments[0]!==undefined)dur=arguments[0];
    aa_popup_stop();
    jQuery("#aa-popup").fadeOut(dur);
}

function aa_popup_show(){
    var msg="";
    var cls="a-di-non-upss";
    if(arguments[0]!==undefined)msg=arguments[0];
    if(arguments[1]!==undefined && arguments[1])cls="a-di-non-upss-r";
    jQuery("#aa-popup-msg").html(msg);
    jQuery("#aa-popup").attr("class", cls);
    if(aa_popup_interval)
        aa_popup_stop();
    jQuery("#aa-popup").stop(true, true).fadeIn(600);
    aa_popup_start();
}

function aa_dlg_hide_modal(){
    jQuery("body").css("overflow", "auto");
    jQuery("#aa-header").addClass("a-fixd");
    jQuery("[id|=aa-modal]").fadeOut(300);
}

function aa_dlg_show(){
    var e, id= 0, a=0, b=0;
    if(arguments[0]!==undefined)e=arguments[0];
    if(arguments[1]!==undefined)id=arguments[1];
    if(arguments[2]!==undefined)a=arguments[2];
    if(arguments[3]!==undefined)b=arguments[3];
    if(e!==null)jQuery(e.srcElement).addClass("a-load-button");
    jQuery.ajax({
        url: "/ajax/dlg",
        type: "POST",
        data: {id: id, a: a, b: b},
        dataType: "json"
    }).done(function( data ) {
        if(data.error !== undefined) aa_popup_show(data.error, true);
        if(data.html !== undefined){
            jQuery("body").css("overflow", "hidden");
            jQuery("#aa-header").removeClass("a-fixd");
            jQuery("#aa-modal-bg").css("overflow-y", "auto").show();
            jQuery("#aa-modal-dlg").stop(true, true);
            jQuery("#aa-modal-dlg>*").remove();
            jQuery("#aa-modal-dlg").html(data.html).fadeIn(300);
        }
        if(data.js !== undefined){
            eval(data.js);
        }
        if(e!==null)jQuery(e.srcElement).removeClass("a-load-button");
    });
}

function aa_confirm_show(title, msg, callback){
    aa_confirm_callback=callback;
    var src = aa_confirm_dlg;
    src = src.replace(/\{title\}/gi, title);
    src = src.replace(/\{msg\}/gi, msg);
    jQuery("body").css("overflow", "hidden");
    jQuery("#aa-header").removeClass("a-fixd");
    jQuery("#aa-modal-bg").css("overflow-y", "auto").show();
    jQuery("#aa-modal-dlg").stop(true, true);
    jQuery("#aa-modal-dlg>*").remove();
    jQuery("#aa-modal-dlg").html(src).fadeIn(300);
}

function aa_confirm_yes(){
    aa_dlg_hide_modal();
    if(typeof(aa_confirm_callback)==="function")aa_confirm_callback();
}

function aa_form_send(e, url, form){
    console.log(arguments);
    var callback=null, objData=null, isForm=false;
    if(arguments[3]!==undefined)callback=arguments[3];
    if(e!==null)jQuery(e.srcElement).addClass("a-load-button");
    if(typeof(form)==="string"){
        if(form.charAt(0)=="#"){
            objData=jQuery(form).serialize();
            isForm=true;
            jQuery(form + " .errorSummary").slideUp(300);
        }
        else{
            objData=form;
        }
    }
    else if(typeof(form)==="object"){
        objData=form;
    }

    jQuery.ajax({
        url: url,
        type: "POST",
        data: objData,
        dataType: "json"
    }).done(function( data ) {
        if(typeof(callback)==="function")callback(data);
        if(data.error !== undefined){
            switch (data.error.type){
                case "popup":
                    aa_popup_show(data.error.msg, true);
                    break;
                case "form":
                    if(isForm){
                        jQuery(form + " .errorSummary").remove();
                        jQuery(data.error.msg).hide().prependTo(form);
                        jQuery(form + " .errorSummary").slideDown(300);
                    }
                    break;
            }
        }
        else if(data.popup !== undefined){
            aa_popup_show(data.popup);
        }
        if(data.update !== undefined){
            jQuery(data.update.obj).html(data.update.val);
        }
        if(data.hideModal !== undefined && data.hideModal){
            aa_dlg_hide_modal();
        }
        if(data.reload !== undefined && data.reload){
            location.reload();
        }
        if(data.url !== undefined){
            location.href=data.url;
        }
        if(data.js !== undefined){
            eval(data.js);
        }
        if(e!==null)jQuery(e.srcElement).removeClass("a-load-button");
    });
    return false;
}

function aa_init_comment(id_obj, type_obj){
/*
    if(jQuery('#Comment_comment').length){
        jQuery('#Comment_comment').redactor({buttons: ['bold','italic','deleted']});
    }
*/

    jQuery('#aa-comment').aaComments('destroy');
    jQuery('#aa-comment').aaComments({id_obj: id_obj, type_obj: type_obj});

    if(jQuery('#Comment_comment').length){
        jQuery('#Comment_comment').redactor('core.destroy');
        jQuery('#Comment_comment').redactor({buttons: ['bold','italic','deleted']});
    }
//    jQuery('#Comment_comment').redactor('destroy');
//    jQuery('#Comment_comment').redactor({lang: 'ru', buttons: ['bold','italic','deleted']});
}

function aa_init_editor(id){
    if(!jQuery(id).length)return;
//    jQuery(id).redactor('core.destroy');
    jQuery(id).redactor({'buttons':['formatting','bold','italic','deleted','unorderedlist','orderedlist','alignment'],'minHeight':300,'maxHeight':800});
}

function aa_init_upload(id, url, prefix){
    var init=jQuery(id).data('ajax-form');
    if(init === undefined){
        var callback=null;
        if(arguments[3]!==undefined)callback=arguments[3];
        jQuery(id).ajaxForm({
            url: url,
            dataType: 'json',
            error: function(){
                jQuery("#aa-"+prefix+"-act input[type=file]").val("");
                aa_popup_show("Размер прикрепленного Вами файла слишком большой, попробуйте сократить его или разбить на части.", true);
                jQuery("#aa-"+prefix+"-act").fadeIn(300);
                jQuery("#aa-"+prefix+"-prg").slideUp(300);
                if(jQuery("#aa-"+prefix+"-wht").length)jQuery("#aa-"+prefix+"-wht").fadeOut(300);
            },
            beforeSubmit: function(arr, $form, options) {
                var percentVal = '0';
                jQuery("#aa-"+prefix+"-prg .bar").width(percentVal);
                jQuery("#aa-"+prefix+"-prg .percent").html(percentVal);
                jQuery("#aa-"+prefix+"-act").fadeOut(300);
                jQuery("#aa-"+prefix+"-prg").slideDown(300);
                if(jQuery("#aa-"+prefix+"-wht").length)jQuery("#aa-"+prefix+"-wht").fadeOut(300);
            },
            uploadProgress: function(event, position, total, percentComplete) {
                if(jQuery("#aa-"+prefix+"-wht").length && percentComplete>90){
                    jQuery("#aa-"+prefix+"-prg").slideUp(300);
                    jQuery("#aa-"+prefix+"-wht").fadeIn(300);
                }
                else{
                    var percentVal = percentComplete + '%';
                    jQuery("#aa-"+prefix+"-prg .bar").width(percentVal);
                    jQuery("#aa-"+prefix+"-prg .percent").html(percentVal);
                }
            },
            success: function(data){
                jQuery("#aa-"+prefix+"-act input[type=file]").val("");
                if(data.error != undefined){
                    aa_popup_show(data.error, true);
                }
                else if(typeof(callback)==="function")callback(data);

                jQuery("#aa-"+prefix+"-act").fadeIn(300);
                jQuery("#aa-"+prefix+"-prg").slideUp(300);
                if(jQuery("#aa-"+prefix+"-wht").length)jQuery("#aa-"+prefix+"-wht").fadeOut(300);
            }
        });
        jQuery(id).data('ajax-form', true);
    }
    jQuery(id).submit();
}

function aa_up_balance(e){
    aa_form_send(e, '/backOffice/upBalance','#aa-pre-payment-form',function(data){
        if(data.data !== undefined){
            jQuery("body").append(data.data);
            jQuery("#aa-payment-form").submit();
        }
    });
    return false;
}

function aa_del_avatar(){
    jQuery("#aa-editAvatar-act").fadeOut(300);
    jQuery("#aa-editAvatar-wht").fadeIn(300);
    jQuery("#aa-editAvatar-prg").slideUp(300);
    aa_form_send(null, '/ajax/delAvatar',{},function(data){
        if(data.data !== undefined){
            jQuery('#aa-avatar').attr('src',data.data.src);
        }
        jQuery("#aa-editAvatar-act").fadeIn(300);
        jQuery("#aa-editAvatar-wht").fadeOut(300);
        jQuery("#aa-editAvatar-prg").slideUp(300);
    });
    return false;
}

function aa_del_image(id){
    jQuery("#aa-add-image-form [data-id=" + id + "]").hide();
    jQuery(".aa-photo[data-id=" + id + "]").hide();
    aa_dlg_hide_modal();

    aa_form_send(null, '/ajax/delImage',{id: id},function(data){
        if(data.error !== undefined){
            jQuery("#aa-add-image-form [data-id=" + id + "]").show();
            jQuery(".aa-photo[data-id=" + id + "]").show();
        }
        else{
            jQuery("#aa-add-image-form [data-id=" + id + "]").remove();
            jQuery(".aa-photo[data-id=" + id + "]").remove();
        }
    });
    return false;
}

function aa_del_album(id){
    var confirm=true;
    var redirect=0;
    if(arguments[1]!==undefined)redirect=arguments[1];
    if(arguments[2]!==undefined)confirm=arguments[2];
    if(confirm){
        aa_confirm_show("Удалить альбом", "Вы уверенны что хотите удалить этот альбом?",function(){aa_del_album(id, redirect, false);});
        return;
    }

    jQuery(".aa-album[data-id=" + id + "]").hide();
    aa_form_send(null, '/ajax/delAlbum',{id: id, redirect: redirect},function(data){
        if(data.error !== undefined){
            jQuery(".aa-album[data-id=" + id + "]").show();
        }
        else{
            jQuery(".aa-album[data-id=" + id + "]").remove();
        }
    });
    return false;
}

function aa_del_blog(id){
    var confirm=true;
    var redirect=0;
    if(arguments[1]!==undefined)redirect=arguments[1];
    if(arguments[2]!==undefined)confirm=arguments[2];
    if(confirm){
        aa_confirm_show("Удалить запись в блоге", "Вы уверенны что хотите удалить эту запись в блоге?",function(){aa_del_blog(id, redirect, false);});
        return;
    }

    jQuery(".aa-blog[data-id=" + id + "]").hide();
    aa_form_send(null, '/ajax/delBlog',{id: id, redirect: redirect},function(data){
        if(data.error !== undefined){
            jQuery(".aa-blog[data-id=" + id + "]").show();
        }
        else{
            jQuery(".aa-blog[data-id=" + id + "]").remove();
        }
    });
    return false;
}

function aa_del_progress(id){
    var confirm=true;
    if(arguments[1]!==undefined)confirm=arguments[1];
    if(confirm){
        aa_confirm_show("Удалить запись о достижении", "Вы уверенны что хотите удалить эту запись о достижении?",function(){aa_del_progress(id, false);});
        return;
    }

    aa_form_send(null, '/ajax/delProgress',{id: id});
    return false;
}

function aa_del_page(id){
    var confirm=true;
    if(arguments[1]!==undefined)confirm=arguments[1];
    if(confirm){
        aa_confirm_show("Удалить статическую страницу", "Вы уверенны что хотите удалить эту статическую страницу?",function(){aa_del_page(id, false);});
        return;
    }

    aa_form_send(null, '/ajax/delPage',{id: id});
    return false;
}

function aa_del_user(){
    var confirm=true;
    if(arguments[0]!==undefined)confirm=arguments[0];
    if(confirm){
        aa_confirm_show("Отправить запрос на удаление сайта", "<b>Внимание!</b><br /><br />Это действие не обратимо!<br />Вы уверены, что хотите удалить свой сайт?",function(){aa_del_user(false);});
        return;
    }

    $("#delete-user-form").submit();
    return false;
}

function aa_add_friend(id){
    jQuery(".aa-friend[data-id="+id+"]").html('<a class="a-w-m-activ" href="javascript:;" onclick="aa_del_friend('+id+');">&nbsp;&nbsp;Удалить из друзей</a>');
    aa_form_send(null, '/ajax/addFriend',{id: id},function(data){
        if(data.error !== undefined){
            jQuery(".aa-friend[data-id="+id+"]").html('<span class="a-i"><a href="javascript:;" onclick="aa_add_friend('+id+');"><i class="a-like"></i>Добавить в друзья</a></span>');
        }
    });
    return false;
}

function aa_del_friend(id){
    jQuery(".aa-friend[data-id="+id+"]").html('<span class="a-i"><a href="javascript:;" onclick="aa_add_friend('+id+');"><i class="a-like"></i> Добавить в друзья</a></span>');
    aa_form_send(null, '/ajax/delFriend',{id: id},function(data){
        if(data.error !== undefined) {
            jQuery(".aa-friend[data-id=" + id + "]").html('<a class="a-w-m-activ" href="javascript:;" onclick="aa_del_friend(' + id + ');">&nbsp;&nbsp;Удалить из друзей</a>');
        }
    });
    return false;
}

function aa_pe_add_part(){
    aa_form_send(null, "/ajax/peAddPart", "#aa-pe-part-form",function(data){
        if(data.data !== undefined){
            jQuery("#aa-up-parts").append(data.data.html);
            jQuery('#aa-up-parts').sortable("destroy");
            jQuery('#aa-up-parts').sortable({'delay':'300','update':aa_pe_sort,'axis':'y','handle':'.a-peremestyt','scroll':true});
        }
    });
    return false;
}

function aa_pe_del_part_item(id){
    var body=jQuery("#UserPagePart_body").val();
    var ids=body.split(",");
    body="";
    for(var i=0; i<ids.length; i++){
        if(ids[i]==id)continue;
        if(body)body+=",";
        body+=ids[i];
    }
    jQuery("#UserPagePart_body").val(body);
    jQuery("#aa-page-part-items [data-id=" + id + "]").remove();
}

function aa_progress_file_del(){
    jQuery("#UserProgress_file").val("");
    jQuery("#aa-progress-file").hide();
    jQuery("#aa-progress-file-items").html("");
    jQuery("#aa-progress-addFile").show();
}

function aa_pe_del(id){
    var confirm=true;
    if(arguments[1]!==undefined)confirm=arguments[1];
    if(confirm){
        aa_confirm_show("Удалить текстовый блок", "Вы уверенны что хотите удалить этот текстовый блок?",function(){aa_pe_del(id, false);});
        return;
    }

    var page=jQuery("#aa-up-parts").data("page");
    jQuery("#aa-up-parts [data-part=aa-part-" + id + "]").hide();

    aa_form_send(null, '/ajax/peDel',{page: page, part: id},function(data){
        if(data.error !== undefined){
            jQuery("#aa-up-parts [data-part=aa-part-" + id + "]").show();
        }
        else{
            jQuery("#aa-up-parts [data-part=aa-part-" + id + "]").remove();
        }
        jQuery('#aa-up-parts').sortable("destroy");
        jQuery('#aa-up-parts').sortable({'delay':'300','update':aa_pe_sort,'axis':'y','handle':'.a-peremestyt','scroll':true});
    });
}

function aa_pe_sort(){
    var page=jQuery("#aa-up-parts").data("page");
    var sort=jQuery("#aa-up-parts").sortable("serialize", {key: "part[]", attribute: "data-part"});
    aa_form_send(null, "/ajax/peSort", "page=" + page + "&" + sort);
}

function aa_char_counter(){
    var data;
    if(arguments[0]!==undefined)data=arguments[0];
    jQuery("#aa-counter").text(data.characters);
}

function aa_char_counter_plain(obj){
    var words = 0, characters = 0, spaces = 0;
    var html = obj.value;
    var text = html.replace(/<\/(.*?)>/gi, ' ');
    text = text.replace(/<(.*?)>/gi, '');
    text = text.replace(/\t/gi, '');
    text = text.replace(/\n/gi, '');
    text = text.replace(/\r/gi, '');
    text = $.trim(text);

    if (text !== '')
    {
        var arrWords = text.split(/\s+/);
        var arrSpaces = text.match(/\s/g);

        if (arrWords) words = arrWords.length;
        if (arrSpaces) spaces = arrSpaces.length;

        characters = text.length;
    }

    aa_char_counter({ words: words, characters: characters, spaces: spaces });
}

function aa_block_rule_full(){
    jQuery('#aa-block-rule').slideToggle();
}

function aa_block_desc_mat_full(){
    jQuery('#aa-block-desc-mat').slideToggle();
}

function aa_block_copy_full(){
    jQuery('#aa-block-copy-full').slideDown();
}

function aa_block_copy_small(){
    jQuery('#aa-block-copy-full').slideUp();
}

function aa_share(service, url){
    if(arguments[1]===undefined){
        url = window.location.toString();
    }
    if(arguments[0]===undefined){
        jQuery("#aa-share-buffer-link").hide();
        jQuery("#aa-share-buffer-input").show().select();
        return;
    }

    var protocol = location.protocol === 'https:' ? 'https:' : 'http:';
    /**
     * Buttons
     */
    var services = {
        fb: {
            popupUrl: 'https://www.facebook.com/sharer/sharer.php?u={url}',
            popupWidth: 600,
            popupHeight: 500
        },
        tw: {
            popupUrl: 'https://twitter.com/intent/tweet?url={url}&text={title}',
            popupWidth: 600,
            popupHeight: 450
        },
        mr: {
            popupUrl: protocol + '//connect.mail.ru/share?share_url={url}&title={title}',
            popupWidth: 550,
            popupHeight: 360
        },
        vk: {
            popupUrl: protocol + '//vk.com/share.php?url={url}&title={title}',
            popupWidth: 550,
            popupHeight: 330
        },
        ok: {
            popupUrl: protocol + '//www.odnoklassniki.ru/dk?st.cmd=addShare&st._surl={url}',
            popupWidth: 550,
            popupHeight: 360
        },
        gp: {
            popupUrl: protocol + '//plus.google.com/share?url={url}',
            popupWidth: 550,
            popupHeight: 360
        }
    };

    var params=services[service];
    var title = document.title;
    var context={
        url: url,
        title: title
    };
    var urlPopup=params.popupUrl.replace(/\{([^\}]+)\}/g, function(m, key) {
        // If key doesn't exists in the context we should keep template tag as is
        return key in context ? (encodeURIComponent ? encodeURIComponent(context[key]) : context[key]) : m;
    });


    var left = Math.round(screen.width/2 - params.popupWidth/2);
    var top = 0;
    if (screen.height > params.popupHeight) {
        top = Math.round(screen.height/3 - params.popupHeight/2);
    }

    var win = window.open(urlPopup, 'sl_' + service, 'left=' + left + ',top=' + top + ',' +
    'width=' + params.popupWidth + ',height=' + params.popupHeight + ',personalbar=0,toolbar=0,scrollbars=1,resizable=1');
    if (win) {
        win.focus();
    }
    else {
        location.href = urlPopup;
    }
    return false;
}

function aa_olp_order(count){
    var cost;
    var key;
    cost=olp_cost_tbl[0];
    for (key in olp_cost_tbl) {
        if(olp_cost_tbl[key][0]>count){
            break;
        }
        cost=olp_cost_tbl[key];
    }
    var next=false;
    if(olp_cost_tbl[key]!==undefined)next=olp_cost_tbl[key];
    return [cost,next];
}

function aa_olp_calc(){
    var obj=jQuery("#aa-olp-order-i");
    var count=obj.val();
    var t_cost=aa_olp_order(count);
    var costA=t_cost[0];
    var nextA=t_cost[1];
    jQuery("#aa-olp-order-0").text(costA[1]+costA[2]+costA[3]);
    jQuery("#aa-olp-order-3").text((costA[1]+costA[2]+costA[3])*count);
    jQuery("#aa-olp-order-1").text(costA[2]*count);
    jQuery("#aa-olp-order-2").text(costA[1]*count);
    jQuery("#aa-olp-calc-table td").removeClass("a-big-f");
    jQuery("#aa-olp-calc-table td[data-count='" + costA[0] + "']").addClass("a-big-f");
    if(nextA!==false && nextA[0]>costA[0]){
        jQuery("#aa-olp-calc-next1").text(nextA[0]-count);
        jQuery("#aa-olp-calc-next2").text(nextA[2]*nextA[0]);
        jQuery("#aa-olp-calc-next").slideDown(400);
    }
    else{
        jQuery("#aa-olp-calc-next").slideUp(400);
    }
//    console.log(costA);
}

function aa_olp_calc_pp(){
    var obj=jQuery("#aa-olp-order-i");
    var count=parseInt(obj.val())+1;
    if(!count)count=1;
    obj.val(count);
    aa_olp_calc();
}

function aa_olp_calc_mm(){
    var obj=jQuery("#aa-olp-order-i");
    var count=parseInt(obj.val())-1;
    if(!count)count=1;
    if(count<=0)count=1;
    obj.val(count);
    aa_olp_calc();
}

function aa_olp_pay_rk(id){
    jQuery("#"+id).submit();
}


function aa_olp_tab_activate(tab, id){
    var $tab=jQuery("#"+id + ' div[data-tab="'+tab+'"]');
    var container=$tab.parent();
    container.find('>ul a').removeClass('active');
    container.find('>ul a[data-link="'+tab+'"]').addClass('active');
    container.children('div').hide();
    $tab.show();
}

function aa_olp_pupil_tpl(){
    var tr=jQuery("#aa-pupils tr");
    if(!tr.length){
        jQuery("#aa-pupils tbody").append(tpl_olp_pupil);
        return;
    }
    tr.each(function(indx){
        var inp=jQuery("input", this);
        if(inp.length!=3) return true;
        if(!inp[1].value && !inp[2].value && indx<tr.length-1){
            jQuery(this, "#aa-pupils").remove();
        }
        return true;
    });
    var tr=jQuery("#aa-pupils tr");
    var p_count=jQuery("#aa-pupils").data("pupil");
    if(p_count<=tr.length)return;

    var inp=jQuery("input", tr[tr.length-1]);
    if(inp[1].value || inp[2].value){
        jQuery("#aa-pupils tbody").append(tpl_olp_pupil);
    }
}

function aa_olp_new_order(e){
    jQuery("#aa-olp-inp-order-dd").val("");
    jQuery("#aa-olp-dyn").addClass("aa-load1");

    aa_form_send(e, "/konkurs/ajaxOrder", {}, function(data){
        jQuery("#aa-olp-dyn").removeClass("aa-load1");
    });
}

function aa_olp_cancel_order(){
    jQuery("#aa-olp-dyn").html("");
    jQuery("#aa-olp-inp-order-new").show();
}

function aa_olp_std_order_form(e){
    aa_form_send(e, '/konkurs/formOrderStdNew','#aa-olp-order', function(data){
        if(data.error === undefined){
            olp_is_new=false;
        }
    })
}

function aa_olp_std_cancel_order(){
    olp_is_new=false;
    jQuery("#OlpOrder_id_olp_olympic").val("");
    jQuery("#aa-olp-step1").show();
    jQuery("#aa-olp-step2").hide();
    jQuery("#aa-olp-step-body").html("").hide();
}


function aa_olp_select_olympic(e){
    jQuery("#aa-olp-dyn-calc").addClass("aa-load1");

    var id=jQuery(e.target).val();
    if(!parseInt(id)){
        jQuery("#aa-olp-dyn-calc").html("").removeClass("aa-load1");
        return;
    }

    aa_form_send(e, "/konkurs/ajaxOrderOlp", {id:id}, function(data){
        if(data.error === undefined){
            jQuery("#OlpOrder_id_olp_olympic").val(id);
            jQuery(e.target).attr("disabled", "disabled");
        }
        jQuery("#aa-olp-dyn-calc").removeClass("aa-load1");
    });
}

function aa_olp_std_select_olympic(e){
    var id=jQuery(e.target).val();
    if(!parseInt(id)){
        return;
    }

    jQuery("#aa-olp-step1").hide();
    jQuery("#aa-olp-step2").show();
    jQuery("#aa-olp-step-body").html("").show();

    aa_form_send(e, "/konkurs/ajaxOrderStdOlp", {id:id}, function(data){
        if(data.error !== undefined){
            jQuery("#aa-olp-step1").show();
            jQuery("#aa-olp-step2").hide();
            jQuery("#aa-olp-step-body").hide();
        }
        else{
            olp_is_new=true;
        }
    });
}



function aa_olp_select_order(e){
    jQuery("#aa-olp-dyn").addClass("aa-load1");

    var id=jQuery(e.target).val();
    if(!parseInt(id)){
        jQuery("#aa-olp-dyn").html("").removeClass("aa-load1");
        return;
    }

    aa_form_send(e, "/konkurs/ajaxOrderView", {id:id}, function(data){
        jQuery("#aa-olp-dyn").removeClass("aa-load1");
    });
    return false;
}

function aa_tooltip(e, m){
    var obj=jQuery(e.target);
//    jQuery(".a-tooltip").remove();
    jQuery("<span class='a-tooltip' style='display: none'></span>").html(m).appendTo('body').css('top', (e.pageY - 10) + 'px').css('left', (e.pageX + 20) + 'px').fadeIn('slow');
}

function aa_tooltip_hide(e){
    jQuery(".a-tooltip").remove();
}

function aa_olp_order_del(e, id){
    var confirm=true;
    if(arguments[2]!==undefined)confirm=arguments[2];
    if(confirm){
        aa_confirm_show("Удалить заявку", "Обратите внимание, что после удаления заявки Вы не сможете ее восстановить. Вы действительно хотите удалить заявку?",function(){aa_olp_order_del(e, id, false);});
        return;
    }

    aa_form_send(e, '/konkurs/ajaxOrderDel',{id:id,tab:'tab0'});

    return false;
}

function aa_inline_edit(e, id){
    var obj=jQuery("#"+id);
    if(!obj.length)return;

    var val=obj.find('span').eq(0).text();
    var src=tpl_olp_inline_input;
    src = src.replace(/\{id\}/gi, id);
    src = src.replace(/\{val\}/gi, val);

    obj.html(src);
}

function aa_inline_save(e, id){
    var obj=jQuery("#"+id);
    if(!obj.length)return;

    var val=obj.find('input').eq(0).val();

    aa_form_send(e, '/ajax/inlineSave',{id: id, val: val},function(data){
        if(data.error === undefined){
            var src=tpl_olp_inline_span;
            src = src.replace(/\{id\}/gi, id);
            src = src.replace(/\{val\}/gi, val);

            obj.html(src);
        }
    });
}